Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1563573 - [trello XzkI9of3] 'Deploy Image' page uses 'Docker'
Summary: [trello XzkI9of3] 'Deploy Image' page uses 'Docker'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.3.0
Assignee: Stefan Schimanski
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 08:26 UTC by Xingxing Xia
Modified: 2020-05-05 14:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-05 14:58:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xingxing Xia 2018-04-04 08:26:14 UTC
Description of problem:
'Deploy Image' page uses 'Docker' and 'Learn More' links to Origin doc

Version-Release number of selected component (if applicable):
v3.10.0-0.15.0

How reproducible:
Always

Steps to Reproduce:
1. Create project. Login to web console --> 'Deploy Image' --> Beneath 'Image Name' input docker-registry.default.svc:5000/another-proj/ruby-ex:latest --> Search
2. Check the 'Learn More' link beneath 'Image Name'

Actual results:
1. Info tells 'You may not have access to the Docker image ...'
2. It links to Origin doc https://docs.openshift.org/latest/dev_guide/managing_images.html#using-image-pull-secrets


Expected results:
1. Avoid using 'Docker'
2. Links to OCP doc

Additional info:

Comment 1 Steve Goodwin 2018-04-04 20:05:08 UTC
note "You may not have access to the Docker image ..." is returned from the server.

Comment 2 Steve Goodwin 2018-04-04 20:16:56 UTC
We will need to change the message the API returns.

Comment 3 Samuel Padgett 2018-04-05 16:04:18 UTC
The "Learn More" link pointing to origin docs is already tracked by bug 1559735. You most likely don't have the fix yet (PR https://github.com/openshift/origin-web-console/pull/2918).

Comment 4 Samuel Padgett 2018-04-05 16:12:51 UTC
Changing the component to master so that the imagestreamimports API error message can be updated. The web console is making this request:

POST /apis/image.openshift.io/v1/namespaces/test/imagestreamimports

{
   "kind":"ImageStreamImport",
   "apiVersion":"image.openshift.io/v1",
   "metadata":{
      "name":"newapp",
      "namespace":"test"
   },
   "spec":{
      "import":false,
      "images":[
         {
            "from":{
               "kind":"DockerImage",
               "name":"docker-registry.default.svc:5000/another-proj/ruby-ex:latest"
            }
         }
      ]
   },
   "status":{

   }
}


Note You need to log in before you can comment on or make changes to this bug.